#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libwrap installation
#
# Creation   :  2010-03-15 holbru
# Last update:  $Id: postinstall-libwrap.sh 33193 2013-03-03 20:35:56Z hbfl $
#
# Copyright (c) 2010-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set package name
package_name=libwrap

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names=

cd /lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
done
#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig

#
exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
